# Visual3d_HSetOfLight.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Visual3d_HSetOfLight.hxx>`
`#include <Visual3d_SetOfLight.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Visual3d_Light.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <TCollection_HSet.lxx>`

## Defines

#define | Item Handle_Visual3d_Light
#define | Item_hxx <Visual3d_Light.hxx>
#define | TheSet Visual3d_SetOfLight
#define | TheSet_hxx <Visual3d_SetOfLight.hxx>
#define | TCollection_HSet Visual3d_HSetOfLight
#define | TCollection_HSet_hxx <Visual3d_HSetOfLight.hxx>
#define | Handle_TCollection_HSet Handle_Visual3d_HSetOfLight
#define | TCollection_HSet_Type_() Visual3d_HSetOfLight_Type_()

## Functions

Handle_Visual3d_HSetOfLight | ShallowCopy (const Handle_Visual3d_HSetOfLight &me)

## Define Documentation

#define Handle_TCollection_HSet Handle_Visual3d_HSetOfLight

#define Item Handle_Visual3d_Light

#define Item_hxx <Visual3d_Light.hxx>

#define TCollection_HSet Visual3d_HSetOfLight

#define TCollection_HSet_hxx <Visual3d_HSetOfLight.hxx>

#define TCollection_HSet_Type_ | (

)

Visual3d_HSetOfLight_Type_()

#define TheSet Visual3d_SetOfLight

#define TheSet_hxx <Visual3d_SetOfLight.hxx>

## Function Documentation

Handle_Visual3d_HSetOfLight ShallowCopy | ( | const Handle_Visual3d_HSetOfLight & | me | ) | `[inline]`